#ifndef __CAMERA_H__
#define __CAMERA_H__

#include "Core/Singleton.h"

class Camera {
    friend class Core::Singleton<Camera>;

public:
    enum Focus {
        Near,
        Far,
    };
    enum Zoom {
        Out,
        In,
    };
    bool zeroCheck();
    bool focus(Focus type);
    bool zoom(Zoom type);

protected:
    Camera();
    void initIrCutGpio();
};

#endif // __CAMERA_H__